package com.zcloud.zcGbsServicer.command;

import com.zcloud.zcGbsServicer.domain.gateway.ControlRoomGateway;
import com.zcloud.zcGbsServicer.domain.model.ControlRoomE;
import com.zcloud.zcGbsServicer.dto.ControlRoomAddCmd;
import com.alibaba.cola.exception.BizException;
import lombok.AllArgsConstructor;
import org.springframework.beans.BeanUtils;
import org.springframework.stereotype.Component;
import org.springframework.transaction.annotation.Transactional;




/**
* web-app
* @Author makejava
* @Date 2026-01-21 17:21:47
*/
@Component
@AllArgsConstructor
public class ControlRoomAddExe {
    private final ControlRoomGateway controlRoomGateway;

    @Transactional(rollbackFor = Exception.class)
    public boolean execute(ControlRoomAddCmd cmd) {
        ControlRoomE controlRoomE = new ControlRoomE();
        BeanUtils.copyProperties(cmd, controlRoomE);
        boolean res = false;
        try {
            res = controlRoomGateway.add(controlRoomE);
        } catch (Exception e) {
            throw new RuntimeException(e);
        }
        if (!res) {
            throw new BizException("保存失败");
        }
        return true;
    }
}

